Subject: Re: git gui: how to fetch a single branch

From: Neal Kreitzinger <[email-masked]>
Date: Fri, 24 Feb 2012 10:57:17 -0600

On 2/23/2012 5:58 PM, Matt Seitz (matseitz) wrote:
> How can I use "git gui" to fetch a single branch from a remote
> repository?
>
> If I select Remote->Fetch From, and then a remote repository, it appears
> to always fetch all the branches from the remote repository with no
> option to select which branch I want to fetch.
>
One way you can do it is to create a remote to that branch (see -t 
option of git remote manpage).  Then fetching that remote only fetches 
that branch.  Of course, this is practical if you are interested in 
fetching certain branches consistently, but not as practical for 
fetching random single branches frequently.

v/r,
neal